Commit 833a05d4 authored by Sergei Golovan's avatar Sergei Golovan

New upstream snapshot, refresh patches, update dependency, add get-orig-source.

parent 40e27962
tkabber-plugins (1.1.2+20170328-1) unstable; urgency=medium
* New upstream fossil snapshot.
* Refresh patches.
* Update the required tkabber version in dependencies.
* Add the get-orig-source target to debian/rules to fetch the sources from
an upstream repository.
-- Sergei Golovan <sgolovan@debian.org> Sat, 14 Apr 2018 19:51:05 +0300
tkabber-plugins (1.1.2-1) unstable; urgency=medium
* New upstream release.
......
......@@ -11,7 +11,7 @@ Vcs-Git: https://salsa.debian.org/xmpp-team/tkabber-plugins.git
Package: tkabber-plugins
Architecture: all
Depends: tkabber (>= 1.1), ${misc:Depends}
Depends: tkabber (>= 1.1.2+20160101), ${misc:Depends}
Suggests: imagemagick, texlive-latex-base, xosd-bin, x-terminal-emulator, www-browser
Description: standard plugins for Tkabber, an XMPP (Jabber) client
This package provides the set of standard plugins for Tkabber,
......
......@@ -2,14 +2,14 @@ This patch provides for an X terminal emulator program used to run the Lynx
Web browser to be that one set via the "alternatives" mechanism of Debian
instead of hardcoded "xterm".
--- tkabber-plugins-0.11.0.orig/openurl/openurl.tcl 2008-05-05 12:28:17.000000000 +0400
+++ tkabber-plugins-0.11.0/openurl/openurl.tcl 2008-06-28 02:41:28.000000000 +0400
@@ -43,7 +43,7 @@
links -
elinks -
lynx {
- exec xterm -e $brpath $url &
+ exec x-terminal-emulator -e $brpath $url &
}
default {
exec $brpath $url &
--- a/openurl/openurl.tcl
+++ b/openurl/openurl.tcl
@@ -99,7 +99,7 @@
links -
elinks -
lynx {
- exec xterm -e $brpath $url &
+ exec x-terminal-emulator -e $brpath $url &
}
default {
exec $brpath $url &
......@@ -27,4 +27,12 @@ override_dh_auto_install:
#
chmod 664 $(PLUGDIR)/whiteboard/svgrender.tcl
VERSION = 1.1.2
DATE = 2017-03-28
VDATE = $(subst -,,$(DATE))
get-orig-source:
wget -O tkabber-plugins_$(VERSION)+$(VDATE).orig.tar.gz \
https://chiselapp.com/user/sgolovan/repository/tkabber-plugins/tarball/tkabber.tar.gz?r=trunk:$(DATE)
.PHONY: override_dh_auto_build override_dh_auto_install
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment